### Method

# EBook BookClientCursor get_contact_alphabetic_index

since: 3.12

#### Declaration [src]

    gint
    e_book_client_cursor_get_contact_alphabetic_index (
      EBookClientCursor* cursor,
      EContact* contact
    )

#### Description [src]

Checks which alphabetic index `contact` would be sorted into according to `cursor`.

So long as the active `EBookClientCursor:alphabet` does not change, the returned index will be a valid position in the array of labels returned by e_book_client_cursor_get_alphabet().

If the index returned by this function is needed for any extended period of time, it should be recalculated whenever the `EBookClientCursor:alphabet` changes.

Available since: 3.12

#### Parameters

`contact`

  Type: `EContact`

  The `EContact` to check.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

The alphabetic index of `contact` in `cursor`.